"""Ferda verification constants."""
from enum import Enum, unique


@unique
class LogEntryType(str, Enum):
    """Ferda verification log entry types."""

    VERIFICATION_APPROVE_FUTILE = "VerificationApproveFutile"
    VERIFICATION_CANCEL = "VerificationCancel"
    VERIFICATION_CREATE = "VerificationCreate"
    VERIFICATION_DELAY_STATUS = "VerificationDelayStatus"
    VERIFICATION_GET = "VerificationGet"
    VERIFICATION_LIST = "VerificationList"
    VERIFICATION_LIST_RESULTS = "VerificationListResults"
    VERIFICATION_RESEND_MESSAGE = "VerificationResendMessage"
    VERIFICATION_RESOLVE_MANUAL_CHECK = "VerificationResolveManualCheck"


@unique
class LogReferenceType(str, Enum):
    """Log reference type."""

    CONTACT = "contact"
    VERIFICATION = "verification"
