"""Ferda verification urls."""
from django.conf import settings
from django.urls import path, re_path
from ferda.api import PydanticJsonRenderer
from ninja import NinjaAPI

from ferda_verification.views.verification import VerificationIndexView

from .api import router

api = NinjaAPI(
    urls_namespace="ferda_verification:api",
    # Show API docs in debug mode only
    openapi_url=settings.DEBUG and "/openapi.json" or "",
    csrf=True,
    renderer=PydanticJsonRenderer(),
)
api.add_router("verification", router)

app_name = "ferda_verification"

urlpatterns = [
    path("api/", api.urls),
    re_path("", VerificationIndexView.as_view(), name="index"),
]
